import { ReactNode } from 'react';
import { EqualityChecker, State, StateSelector, StoreApi } from 'zustand';
export interface UseContextStore<T extends State> {
    (): T;
    <U>(selector: StateSelector<T, U>, equalityFn?: EqualityChecker<U>): U;
}
declare function createContext<TState extends State>(): {
    Provider: ({ createStore, children, }: {
        createStore: () => StoreApi<TState>;
        children: ReactNode;
    }) => import("react").FunctionComponentElement<import("react").ProviderProps<StoreApi<TState> | undefined>>;
    useStore: UseContextStore<TState>;
    useStoreApi: () => {
        getState: import("zustand").GetState<TState>;
        setState: import("zustand").SetState<TState>;
        subscribe: import("zustand").Subscribe<TState>;
        destroy: import("zustand").Destroy;
    };
};
export default createContext;
