import { Destroy, EqualityChecker, GetState, SetState, State, StateCreator, StateSelector, StoreApi, Subscribe } from './vanilla';
export declare function useStore<T extends State>(api: StoreApi<T>): T;
export declare function useStore<T extends State, U>(api: StoreApi<T>, selector: StateSelector<T, U>, equalityFn?: EqualityChecker<U>): U;
export interface UseBoundStore<T extends State> {
    (): T;
    <U>(selector: StateSelector<T, U>, equalityFn?: EqualityChecker<U>): U;
    setState: SetState<T>;
    getState: GetState<T>;
    subscribe: Subscribe<T>;
    destroy: Destroy;
}
export default function create<TState extends State>(createState: StateCreator<TState> | StoreApi<TState>): UseBoundStore<TState>;
